<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="vm"
            type="com.yidian.shenghuoquan.buserorder.viewmodel.OrderConsigneeInfoViewModel" />

        <variable
            name="data"
            type="com.yidian.shenghuoquan.buserorder.dto.OrderShippingInfo" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/shape_solid_ffffff_corner_20"
        android:paddingStart="@dimen/dp16"
        android:paddingTop="@dimen/dp20"
        android:paddingEnd="@dimen/dp16"
        android:paddingBottom="@dimen/dp20">

        <TextView
            android:id="@+id/tv_consignee_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/consignee_name"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp16"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <EditText
            android:id="@+id/et_consignee_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp12"
            android:background="@null"
            android:hint="@string/please_input_consignee_name"
            android:inputType="text"
            android:text="@{data.receiverName}"
            android:textColor="@color/color_333333"
            android:textColorHint="@color/color_999999"
            android:textCursorDrawable="@drawable/shape_bg_input_cursor"
            android:textSize="@dimen/sp16"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_consignee_name"
            app:layout_constraintTop_toTopOf="@id/tv_consignee_name" />

        <TextView
            android:id="@+id/tv_consignee_phone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp20"
            android:text="@string/consignee_phone"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp16"
            app:layout_constraintStart_toStartOf="@id/tv_consignee_name"
            app:layout_constraintTop_toBottomOf="@id/tv_consignee_name" />

        <EditText
            android:id="@+id/et_consignee_phone"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:background="@null"
            android:hint="@string/please_input_consignee_phone"
            android:inputType="phone"
            android:maxLength="11"
            android:text="@{data.receiverMobile}"
            android:textColor="@color/color_333333"
            android:textColorHint="@color/color_999999"
            android:textCursorDrawable="@drawable/shape_bg_input_cursor"
            android:textSize="@dimen/sp16"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/et_consignee_name"
            app:layout_constraintTop_toTopOf="@id/tv_consignee_phone" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>